# UpdateExpenseClaim

Use this method to update an expense claim record.

**Note:** You can only update the status of an expense claim. See [expense claim status codes](https://developer.xero.com/documentation/api/types#expenseclaims).

{% hint style="warning" %}
**Deprecation and Removal Notice**\
This function will be deprecated in Linx from **6 December 2025** and will be removed entirely in **late May 2026**.

After the removal date, this function will no longer work in Linx solutions because the underlying Xero API endpoint is being retired by Xero.
{% endhint %}

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Expense claim Id

Unique identifier of the expense claim to update.

#### Expense claim

Expense claim to update.

## Output

#### ExpenseClaim

Expense claim updated.

## Links

[Xero Developer: Expense Claims (POST)](https://developer.xero.com/documentation/api/expense-claims#POST)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/expenseclaims/updateexpenseclaim.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
